Subject: Re: bug#59793: 29.0.60; subr.elc is not compiled correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Dec 2022 11:55:35 +0200

> From: Feng Shu <[email-masked]>
> Date: Sat, 03 Dec 2022 15:24:55 +0800
> 
> This week, I faced an issue about emacs-eat: 
> 
> 
>     eat-yank not work well: https://codeberg.org/akib/emacs-eat/issues/9
> 
> 
> -------------
> (defun eat-yank (&optional arg)
>   "Same as `yank', but for Eat.
> 
> ARG is passed to `yank', which see."
>   (interactive "*P")
>   (when eat--terminal
>     (funcall eat--synchronize-scroll-function)
>     (cl-letf* ((inhibit-read-only t)
>                (insert-for-yank (symbol-function #'insert-for-yank))
>                ((symbol-function #'insert-for-yank)
>                 (lambda (&rest args)
>                   (cl-letf (((symbol-function #'insert)
>                              (lambda (&rest args)
>                                (eat-send-string-as-yank
>                                 eat--terminal
>                                 (mapconcat (lambda (arg)
>                                              (if (stringp arg)
>                                                  arg
>                                                (string arg)))
>                                            args "")))))
>                     (apply insert-for-yank args)))))
>       (yank arg))))
> ---------
> 
> 
> After some test with author of emacs-eat, we find that config
> 
>     (require 'eat)
>     (load "subr.el")
> 
> work, while the below config do not work.
> 
>     (require 'eat)
>     (load "subr.elc") 
> 
> 
> we find that C-x C-e insert-for-yank and insert-for-yank-1 works too.
> 
> 
> so we think subr.elc is not compiled correctly, I use the below 
> script to compile emacs, do not install and run ~/emacs/emacs29/src/emacs directly

Thanks, but what exactly "does not work" in the byte-compiled version of
subr.el?  Do you have a recipe to reproduce the problem you see without
using emacs-eat?  If so, please post such a recipe.  Because from your
report, I don't see how to reproduce the problem and how to investigate it.